v6.7.8
- Updated - core/gallery styles for WP 7.0 (lightbox gallery with multiple images)
- Updated - core/media-text styles for is-style-fill removed
- Fixed - core/media-text issue with placeholder visibility
- Added - core/cover styles support for iframes (WP 7.0)

v6.7.7
- Fixed - issue with sprintf translations on plugins admin

v6.7.6
- Fixed - issue with sprintf translations on admin screen for cookies module

v6.7.5
- Fixed - issue with sprintf translations on admin screen

v6.7.4
- Updated - cookies module issue with required regex pattern / continuously remove cookies for 15s for delayed scripts
- Updated - contact form 7 plugin form fields modules upgraded / styles
- Updated - core/group to detect and load styles for has-parallax (same as cover)
- Updated - core/link unnecessary toJSON reference removed
- Updated - core/loginloginout unnecessary escape for toJSON
- Updated - .has-parallax offset to background image to avoid early "cutoff"

v6.7.3
- Updated - smoothscroll to targets issue with scrollRoot
- Added - Optimization module: font-display swap on self hosted fonts

v6.7.2
- Removed - title-tag theme support to avoid double title tag issue

v6.7.1
- Added - missing index.php files on translate and cookies modules

v6.7.0
- Updated - improved cookie management interface with search/pagination and cookies added via API will be highlighted
- Updated - default translation domain for core-group.php and core-template.php blocks
- Fixed - an issue with Cookies module vs blocked cookies cookie default value
- Added - module security scan on install with notification if suspicious code is found
- Added - SmoothScroll plugin

v6.6.8/9
- Updated - core/page-list to properly load required navigation styles when individually used
- Updated - core/post-navigation-link is now enhanced with (post title) tooltip if formatting module is installed
- Updated - optimization (image preloading) to search for images only in .wp-site-blocks selector
- Updated - mixed return type on some class methods to maintain compatability for PHP 7.4
- Updated - cookies module to support regex blocking
- Fixed - issue with undefined index key url for class-link.php (navigation block)
- Fixed - offcanvas template accesibility with aria-labeledby title
- Fixed - modal template accesibility with aria-labeledby title
- Fixed - tabs module accesibility with role=tablist

v6.6.7
- Updated - Testimonials pattern HTML corrections (bottom spacing to fit the shadow + fade horizontal)
- Updated - Custom block formats are now exposed to BlockControls Toolbar (floating, counter, string rotator)
- Updated - Use popover (instead of modal) for the Toolbar block formats
- Fixed - issue with click event, animation and offset/delay for tooltip/popover module
- Added - new inline typography options formatting

v6.6.6
- Updated - minify modules scripts using new method for smaller bundles
- Updated - wecodeart( 'styles' )::add_prefixes to add -webkit prefix for mask-image
- Updated - wecodeart( 'styles' ) utility for fade-{top|left|right|bottom|vertical|horizontal}
- Updated - wecodeart( 'styles' ) sanitize color encapsulated as a method
- Updated - extend safe_style_css rules with some extra safe css rules
- Updated - added support for block selectors for WP 6.8
- Fixed - core/button issue with accent color not being hex (converted to rgb array) with dark style

v6.6.5
- Fixed - core/post-featured-image if no image is present/selected
- Fixed - core/navigation with-hover class to be enabled when no click attribute

v6.6.4
- Updated - core/submenu now uses WP Interactivity API for dropdowns
- Updated - core/navigation-link active class for post types archives
- Removed - BootStrap's Dropdown 200+KB javascript in favor of custom (maintaining same functionality)
- Fixed - Various accesibility issues with aria-controls (modal js)

v6.6.3
- Updated - core/code block highlightjs.js enqueue is now encapsultated in a function
- Updated - core/video block will now load the poster image if set (load video file if clicked or appears in viewport)
- Updated - core/video block support for colors, border and shadow
- Fixed - issue with optimization module when collecting above the fold media

v6.6.2
- Updated - local translations for Romanian language (mainly translations for script files)
- Updated - Patterns registration to pass all $file arguments to Pattern model
- Updated - wecodeart/accordion block updates to render functions (moved to WP Standard JSON)
- Fixed - DOM clientIds for reusable blocks custom styles (from Advanced tab)
- Added - wecodeart/tabs block (1 click install from Theme Options -> Modules)

v6.6.1
- Removed - old render_block_core/template-part filter for footer shortcodes ([year][copy])
- Removed - theme from template part rendering in wecodeart( 'layout' ) so it renders current theme header/footer
- Updated - bump dark.json style api version to 3 (was 2 previously)
- Updated - code cleanup on core/media-text and core/cover blocks
- Updated - minor updates to Cookies, Optimization & Google Translate modules (bump modules versions)
- Updated - Template.renderToString() method to support fallback with {{ author.role|guest }} syntax
- Updated - Block dynamic css class is now applied if there is a style attribute or customStyle
- Updated - Modules will be checked for updates after theme update
- Added - add extra properties for safe_style_css filter
- Fixed - an issue with JavaScript Template.renderToString() method
- Fixed - an issue with wecodeart( 'layout' ) used to render PHP templates

v6.6.0
- Updated - some admin deprecation warnings in Scrolltop module (upgrade to 1.0.6)
- Updated - some admin deprecation warnings in Cookies module (upgrade to 1.0.6)
- Fixed - core/post-title markup to used wecodeart( 'dom' ) (rewriting render not necessary anymore)
- Fixed - core/post-excerpt markup to used wecodeart( 'dom' ) (rewriting render not necessary anymore)
- Fixed - core/post-content vs the_post() issue
- Fixed - an issue with empty links on Optimization module / add new data-id attribute check (upgrade to v1.0.7)
- Fixed - an issue with assets registration for Accordion module (upgrade to v1.0.6)
- Fixed - an accesibility issue with focus on OffCanvas's Interactivity API
- Fixed - an accesibility issue with focus on Modal's Interactivity API

v6.5.9
- Updated - Load everything on after_setup_theme to fix error_log regarding translations (after WP 6.7+)
- Updated - minor corrections (DOM/sharing pattern)

v6.5.8
- Updated - Update modules to latest versions on theme update
- Updated - Process directives for string rotator to avoid FOUC
- Updated - core/loginout accesibility with title attribute for link
- Fixed - core/navigation-link dropdown-header margin styles

v6.5.7
- Updated - Local romanian language
- Updated - Bump Cookies module to 1.0.5 for some improvements
- Updated - Bump ScrollTop module to 1.0.5 for some improvements
- Updated - wecodeart/section-hero pattern list attributes
- Updated - header-search template part and apply to all templates by default
- Updated - core/list layout option updated (to allow switching between inline/column items) / vertical & horizontal spacing
- Updated - core/list support for SEO plugins to generate JSON Schema (enabled by default)
- Fixed - .wp-modal__content box-shadow
- Added - WPSEO to generate schema from core/details block
- Added - RankMath to generate schema from core/details block

v6.5.6
- Updated - Offcanvas WP Interactivity API - defensive programming for delayed script execution (for caching plugins)
- Updated - ro_RO theme local translations
- Updated - core/media-text styles for is-image-fill-element class (WP 6.7)
- Fixed - issue with Media & Text focal point

v6.5.5
- Updated - Bump cookies module to version 1.0.3 for some module admin improvements
- Updated - .wp-modal backdrop filter default to none (very expensive on browsers without hardware acceleration enabled)
- Updated - core/image lightbox toggle button padding to 2px
- Updated - Custom WP Accordion block simplified assets enquee (via block.json core API)
- Updated - Offcanvas WP Interactivity API fixed to work with WP 6.7
- Removed - theme.json box-shadow option for none (there is a default/core option)
- Added - Google Translate module for automated translations using Google's API

v6.5.4
- Updated - minor corrections to buttons CSS reset
- Fixed - Offcanvas module close on click and escape key (issue with scope)

v6.5.3
- Changed - page-sidebar.html now encapsulates the sidebar into an offcanvas container for mobile
- Changed - sidebar.html template part content to a simple about text
- Updated - cookies module bump to version 1.0.2 (small fixes)

v6.5.2
- Updated - wp-offcanvas--{position} class suggestions (in Block Advanced options) and move filter to class-components.php
- Updated - Appearance patterns menu link to go to site-editor.php instead of default post type UI
- Updated - bump accordion module version (for an accesibility fix regarding aria-controls)
- Updated - core/heading and core/button classnames on error page (404) template markup
- Updated - core/media-text style adjustments (alignment for mobile while not stacked)
- Updated - admin styles for 3rd level child tabs
- Fixed - Accesibility issues with offcanvas and collapse modules (aria-controls cannot have #)
- Added - A simple cookie banner module that allows a site visitor to block cookies (until accepted)

v6.5.1
- Updated - patterns wording adjustments with translation function
- Updated - opt-out of defaultSpacingSizes (due to WP 6.6)
- Updated - core/group to register variations using variation_callback instead of inline JS (previously this was not working for this block)
- Updated - local theme translations for RO (Romanian) language
- Fixed - 7th parameter of add_submenu_page when adding "Pattern" quick access link (in Appearance)
- Added - {breakpoint}:wp-offcanvas--expand modifier to block class suggestion list (eg: lg:wp-offcanvas--expand)

v6.5.0
- Fixed - core/page-list to load dropdown styles if not used inside a core/navigation (or this block is not present on the page with a dropdown)
- Added - core/image css styles when placed in a group with grid variation (height will be 100% and object fit to cover)
- Added - theme.json opt-out from defaultFontSizes (introduced in WP6.6+)

v6.4.9
- Removed - core/navigation tabs styles (not used - a separate Tabs module/block will be developed)
- Changed - Dropdown styles to block style from wecodeart( 'styles' )->Components dropdown (planned for refactoring)
- Changed - core/navigation styles refactor away from Bootstrap's navbar for improved preview (for cleaner CSS & improved admin preview)
- Fixed - style specificity for dropdown-item classname
- Fixed - WP required version to 6.5 from 6.6 (increased by mistake)

v6.4.8
- Updated - use wp_deregister_style on wp-block-library/wp-block-library-theme (for WP6.6+)
- Updated - minor change for theme starter content on homepage
- Updated - code cleanup on inc/functions.php
- Updated - disable single.html template post image parallax (does not work by default on cover with post featured image/placeholder)
- Changed - core/navigation and core/navigation-link css specificity (for WP6.6+) 
- Changed - core/social-links css specificity (for WP6.6+)
- Changed - normalized placeholders for core/post-featured-image, core/media-text, core/image, core/cover (new one)
- Added - quick link to block patterns (under Appearance -> Patterns)
- Added - wecodeart/filter/placeholder filter

v6.4.7
- Removed - unwanted modules from WP.org repository

v6.4.6
- Updated - small CSS correction with inheriting offcanvas--expand styles
- Updated - small CSS correction with navbar-expand-{breakpoint} styles
- Changed - header pattern/template-part to use site title instead of logo (regarding Theme Preview)

v6.4.5
- Removed - Contact Form 7 plugin installer (remade as a module instead)
- Updated - Offcanvas`s JS upgraded to WP Interactivity API (20kb to 3kb minified) from Boostrap
- Updated - Modal`s JS upgraded to WP Interactivity API (21kb to 4kb minified) from Boostrap
- Updated - Toast`s JS upgraded to custom JS using our core API (13kb to 3kb minified + 2kb module) as an separate JS file
- Updated - core/group - collapse variation to use toggler.tpl.php view (code reusability)
- Updated - core/navigation to use new lg:wp-offcanvas--expand and other class modifiers (simplified styles)
- Updated - core/navigation-link is active via object ID or by matching URL
- Updated - core/loginout and views/general/login.tpl.php to avoid duplicate IDs
- Updated - core/loginout modal title to use block metadata name (or default string)
- Updated - core/search updated to use new modal JS API
- Updated - wecodeart( 'version' ) to return time string when WP_DEBUG is enabled
- Updated - wecodeart( 'styles' )::hex_to_rgb allow alpha in hex colors
- Changed - .offcanvas becomes .wp-offcanvas with BEM naming for CSS/HTML
- Changed - .toast becomes .wp-toast with BEM naming for CSS/HTML
- Changed - .modal becomes .wp-modal with BEM naming for CSS/HTML
- Changed - .btn-close becomes .wp-close
- Changed - .wecodeart-forms becomes .wp-forms
- Fixed - protected.tpl.php layout for input group (converted HTML markup to use wecodeart_input API)
- Added - core/group offcanvas variation
- Added - Toast container template (along with WP Interactivity API module) for creating toast notifications
- Added - wecodeart( 'toasts' ) binding to be called on pages where API is used (will include all necessary JS/CSS on demand)
- Added - wecodeart( 'debug' )::log( $data ) method for debugging PHP data in JS console.log

v6.4.4
- Updated = core/cover styles simplified for custom content position
- Updated = core/group to use wecodeart( 'dom' )::add_classes
- Updated - core/template-part to update schemap markup based on tagName attribute (Header/Footer/Aside)
- Updated - bump WCA: Formatting module update to 1.0.6
- Updated - templates/single.html to show post navigation chevron icon
- Updated - core/template-part support for renaming (to be used on collapse toggle label: Open %s - Sidebar or custom name)
- Updated - core/video CSS - default margin removed and alignfull max-width to initial
- Updated - Micro-Optimization: Toast to ditch Bootstrap's JavaScript (13kb to 3kb)
- Updated - Styles: .toast class extended with .wp-toast / BEMified inner elements
- Updated - Styles: .btn-close class extended with .wp-close
- Updated - Styles: .wp-lightbox adjustments for close button and z-index of open button
- Fixed - loading multiple instance of the same component via wecodeart( 'styles' )->Components when using dependency
- Added - Styles: wp-backdrop Component (to be used in OffCanvas and Modal)
- Added - core/group collapsible variation using @wecodeart/collpase script module
- Added - core/template-part can now be collapsed via is-style-collapse (using core/group`s create_collapse method)
- Added - core/post-navigation-link class for link

v6.4.3
- Removed - is-style-underline-brush from core/heading and it's usage in patterns (now that we have WCA: Formatting module)
- Fixed - wecodeart( 'dom' )::procesor to wecodeart( 'dom' )::processor (typo)

v6.4.2
- Updated - default templates sticky header using position attribute (via template-part)
- Updated - yoast faq block small CSS adjustments and add default style
- Updated - bump formatting and optimization modules updates
- Fixed - issue with namespace on wecodeart( 'dom' )::get_elements_by_class() method
- Fixed - HTML validation errors on button disabled attribute (javascript:void), some custom variables, CSS mask images
- Added - site/template-part support for color/spacing/layout/position (avoid unnecessary group wrapper for background/elements spacing)

v6.4.1
- Updated - DOM manipulation methods from inc/functions.php to wecodeart( 'dom' )
- Updated - wecodeart( 'markup' ) is now wecodeart( 'dom' ) - alias added for compatability
- Updated - new \WP_HTML_Tag_Processor method for WP_HTML_Tag_Processor
- Updated - wecodeart( 'dom' )->Inputs JS now removes forms feedback|tooltips before sumitting (CF7 plugin)
- Updated - post_gallery shortcode to use wecodeart( 'styles' )->Utilities for columns

v6.4.0
- Removed - FontAwesome license info - we are not using it anymore
- Updated - default box shadow for .wp-site-header/.wp-site-footer containers and on scroll box shadow for header
- Updated - use upgrader_process_complete action hook instead of after_switch_theme to do our updates maintenance
- Added - cursive font family (modern) to replace removed Shadows Into Light google font (now installable via WP Fonts)

v6.3.9
- Fixed - fatal error on PHP 7.4 on Sanitize::background()

v6.3.8
- Fixed - fatal error on PHP 7.4

v6.3.7
- Removed - header/footer cleanup functions moved to WCA: Optimization module (installable via Modules Manager)
- Removed - default fonts - in WP 6.5, fonts can be installed by user.
- Removed - purple style variation - is a base theme after all.
- Updated - Installer for the secondary child theme with webpack setup (wecodeart-honey)
- Updated - .has-parallax class can now be used to translate the entire element on scroll (--wp--animation: __backgrounPosition|__translate3d)
- Updated - cleaner folder structure and class aliases for some of the deprecated classes/namespaces (Singleton/Installable/Loadable etc)
- Updated - Improved compression for encode_svg_data output
- Updated - wecodeart_asset function to return WeCodeArt\Support\Assets\Asset object instead of the file uri
- Updated - get_asset method of Config/Trait/Asset class to return file URL or PATH (based on 3rd new parameter)
- Updated - core/list icon style overflowing due to missing position: relative for list items
- Updated - core/columns align items specificity versus is-layout-flex class
- Updated - core/image placeholder object-fit force fill (for aspect ratio responsiveness)
- Updated - Styles/Components/Tooltip|Popover to WCA: Formatting module
- Updated - deprecated fonts API and conditional load only if WP version is less than 6.5
- Updated - box-shadow presets are now controlled via custom -> boxShadow in theme.json
- Updated - improved shorthand properties for block styles (margin and padding for the moment)
- Updated - Gutenberg styles module - implement by default instead of using Integration interface
- Updated - Gutenberg styles module - now allows easy registration of Styles processors (core will run by default)
- Updated - Gutenberg class utilities module - implement by default instead of using Integration interface
- Updated - Gutenberg patterns module - implement by default instead of using Integration interface
- Updated - Core support keys cannot be set/unset/changed
- Updated - core/social-links sharing variation is now registered in php
- Updated - core/group marquee variation is now registered in php
- Updated - core/query spacing support - it makes sense to have adjustable space between post template and pagination
- Updated - replace templates/patterns query utilities classes with blockGap support
- Updated - modules installer can now use `version` to install/update maximum compatible version (button is disabled if update is higher than config)
- Updated - added wecodeart( 'template' ) factory
- Updated - core/read-more styles moved to theme.json
- Fixed - CodeMirror on editor text view in Site Editor screen
- Fixed - issue with navigation dropdown active class condition
- Fixed - properly enqueue wecodeart( 'styles' ) Components and Utilities cache file
- Added - wecodeart/filter/gutenberg/block/details/seo filter to enable SEO (FAQ Page) support for Details block (boolean)
- Added - wecodeart/filter/gutenberg/block/code/hljs filter to enable syntax highlight for core/code block
- Added - outlined/sharp/crisp box-shadow controlled via custom box shadow theme.json
- Added - box-shadow support for core/group, core/columns, core/column block
- Added - scroll animation-timeline for core/group marquee variation (controlled on scroll - Chrome/Edge only)
- Added - logos slider section built with Group: Marquee

v6.3.6
- Fixed - typo for upcomming collapse script in minified assets folder

v6.3.5
- Removed - hstack/vstack helper classes in favor of core/group block variations
- Removed - Deprecated core/group marquee variation - keept styles though just in case
- Updated - core/group marquee to enquee marquee styles only if this variation is used (micro optimization)
- Updated - deprecated wecodeart( 'styles' )::get_duotone function (not used anymore)
- Updated - Modules will now be located into 'modules' key in theme options (previously: 'installed_modules')
- Updated - moved grid classes (span-# and start-#) into utilities module (saves 13kb of minified css / enqueued when used)
- Updated - base styles (small reboot and couple of helpers) are now enqueued into global styles
- Fixed - issue with RankMath FAQ block being converted to core/details block (if div selector is set)
- Fixed - wecodeart( 'style' )->Components->load( [ ...] ) loading multiple instances of the same item
- Added - core/column support for background image
- Added - ability for wecodeart( 'styles' )::register_utility and ::generate_class to generate Tailwind like classes (.md:pt-5)
- Added - Ajax interactivity suupport for blog/index templates (query-overlay pattern)
- Added - JavaScript: Bootrap`s Config class
- Added - JavaScript: Bootrap`s Data attribute class
- Added - JavaScript: Bootrap`s Events Handler class
- Added - JavaScript: Bootrap`s Template Factory class

v6.3.3/4
- Updated - disabled core/cover background styles until we fully remove inline styles
- Updated - Gutenberg inline styles only for core blocks via block support (enable with '__experimentalStyles') to avoid issues with custom blocks
- Updated - Gutenberg block utility classes styles enqueue to module files (was placed under styles module and Utilities class)
- Updated - Gutenberg block utility classes to respect the with_block_classes condition (if disabled/enabled under /app.php config)
- Updated - core/image and core/search attribute styles removed and output inline to block supports
- Removed - Duotone SVG combine and styles/svg custom output (WP 6.3+ comes with WP_Duotone with improved conditional output)

v6.3.2
- Updated - replace mb_strpos instances with strpos to avoid fatal errors on some hostings
- Updated - hex_to_rgb function return mixed error on wp-themes preview

v6.3.1
- Updated - replaced all instances of deprecated wp_tinycolor_string_to_rgb usage with own function to convert hex to rgb/a
- Updated - add 'wecodeart/upgrade/finish' action for ability to hook modules/plugins actions into it
- Updated - bind 'support' key instead of wecodeart( 'intergrations' ) to access WeCodeArt\Support class
- Updated - social sharing pattern icons and text color and font
- Updated - removed unused JavaScript code for patterns (was implemented in Core)
- Updated - normalized core/home-link to use Navigation/Link class to render markup
- Updated - core/navigation to wrap core/buttons in li tag (the same as other: spacer/logo)
- Fixed - properly update installed modules options inside module uninstall function

v6.3.0
- Updated - Some of the patterns wording
- Fixed - issue with empty image source to be rendered as placeholder
- Fixed - fatal error in modules update check transient

v6.2.9
- Updated - core/group marquee variation logic with namespace attribute / deprecated old logic with block style
- Updated - core/post-template markup logic to use core render_block_core_post_template function
- Updated - .grid styles now extends to .is-layout-grid class (applied on blocks that supports grid layout)
- Updated - Admin themes manager will now maintain state on tab change (without using cookie)
- Updated - Admin plugins manager will now maintain state on tab change
- Updated - Theme upgrade routines will now run after_switch_theme, once
- Updated - Offload gutenberg extra formatting to own installable module
- Updated - Offload gutenberg lorem ipsum generator to own installable module (+400kb in file savings)
- Updated - Style components are now cached and enqueued in admin/editor
- Updated - Update underlined word for latest posts and testimonial patterns
- Updated - Pass template content and post content to the load callback of wecodeart( 'assets' ) API
- Fixed - core/social-links missing social networks services colors
- Fixed - Issue with generated classname for inline styles for selectors that contains ","
- Fixed - Issue with buttons auto text color based on background lightness
- Fixed - Issue with group marquee styles for hover state
- Added - New testimonial cards pattern
- Added - New Tooltip component styles (to be used on modules and other places)
- Added - New Popover component styles (to be used on modules and other places)
- Added - core/social-links sharing variation
- Added - core/social-link sharing variation (for common social networks)
- Added - Social sharing block pattern / used on single page
- Added - New theme ability to install modules (similar to plugins but as in the theme itself)

v6.2.8
- Updated - core/embed styles to css custom variable
- Updated - core/column add is-stacked-on-mobile class / data-columns HTML attribute
- Updated - core/column add support for border radius
- Updated - core/query-pagination-numbers markup and styles improved / to be used in backend
- Updated - box shadow presets styles
- Updated - blur backdrop-filter for modal style component
- Updated - use default categories and add/rename Pages (for full pages), Elements (for small elements), WeCodeArt (all from theme)
- Updated - fix pattern images with new inline style attribute
- Updated - main header/footer template part to pattern (to make use of php/translation)
- Added - core/list various icons styles
- Added - core/image lightbox support
- Added - lightbox for wecodeart( 'styles' )->Components to be loaded on demand
- Added - animation-timeline scroll for .has-parallax class (used on core/cover)
- Added - gy-# and gx-# gap utilities for rows and columns

v6.2.7
- Updated - added "viewportWidth" to some of the patterns for a scaled preview in the inserter
- Updated - core/cover overflow clip to allow position sticky
- Updated - core/logo SVG import using dom_image_2_svg
- Updated - core/image SVG import using dom_image_2_svg
- Updated - core/read-more default styles
- Updated - core/group marquee styles default attributes
- Updated - default Hero with background pattern (removed unnecessary group block)
- Updated - prefixed DOM functions with dom_ and created aliases for them
- Updated - style deps enqueue method for some of the blocks that might require other block styles (Calendar, FAQ, Pagination, etc)
- Fixed - core/post-featured-image width and height units for inline styles
- Added - dark pricing box pattern variation
- Added - dom_image_2_svg to import SVG images into DOMDocument class
- Added - buttons shadow on hover

v6.2.6
- Updated - Hide some patterns from inserter (post meta, author box, post entry template)
- Fixed - issue with HTML pattern registration when trying to hide a pattern from inserter

v6.2.5
- Updated - core/search dequeue default JavaScript view handle (not necessary, we use modal and we load only on demand)
- Removed - core/post-featured-image old aspect ratio approach (aspect-ratio css property has good support now)
- Removed - unnecessary wp_enqueue_scripts action from some blocks
- Fixed - core/social-links default social services colors
- Added - core/post-featured-image support for overlay
- Added - encode_svg_data function to convert svg to data url

v6.2.4
- Fixed - wrong $this context usage in blocks/class-image.php

v6.2.3
- Updated - use static function for some inline styles
- Added - core/gallery gap support
- Added - core/post-template grid support

v6.2.2
- Removed - drop support class for Captcha4WP

v6.2.1
- Updated - Navigation gap inherit styled moved to default for when offcanvas is not enabled
- Updated - Dynamic CSS generation to use namespace in file name to avoid conflicts (wp-block-{name} / wc-blocks-style-{name} for WooCommerce, and so on)
- Updated - core/post-template grid layout support for WP 6.3
- Updated - core/button variation styles moved inline (fixed in WP 6.3 for FSE)
- Updated - core/loginout to support login modal / also allow the block into core/navigation
- Updated - core/separator svg views updated to /blocks/ instead of /blocks/design/
- Updated - login.tpl.php view moved from views/blocks/site to views/general
- Updated - offcanvas style component css variables and minor tweaks
- Fixed - ability to disable FSE link (Site Editor) under Appearance -> Themes
- Fixed - core/navigation dropdown styles issue (checking for wrong variable name)
- Added - ability to remove style attribute from multiple selectors while extending Processor class via remove_style method
- Added - ability to change navigation offcanvas position by using offcanvas-{start/end/top/bottom} classes

v6.2.0
- Updated - date input styles to own class (micro optimization)
- Added - core/details block support with inheritance to RankMath and YoastSEO FAQ blocks

v6.1.9
- Updated - cleanup inputs styles / validation / variables
- Updated - inputs/group constructor - add label, messages etc
- Updated - inputs/checkbox exclusive option to act as a radio (used in CF7 plugin)
- Updated - inputs/toggle background style vars to theme.json
- Updated - inputs/range match background color from inputs vars
- Updated - inputs specific variables moved to own classes (.form-check,.form-switch,.form-select)
- Updated - default plugins (removed Google Tools) and update WooCommerce about link
- Updated - new method for retrieving Dynamic block asset handle
- Fixed - core/navigation-link and core/navigation-submenu dropdown classes logic (due to issues or removal of isTopLevelLink - we dont relly on it anymore)

v6.1.8
- Updated - restored .wp-block-columns.grid default gap
- Updated - toast component style to use WP theme.json variables
- Fixed - offcanvas visibility styles
- Added - e-commerce and wide-blocks tags for WP.Org

v6.1.7
- Removed - gap-# utility class (replaced previously with g-#)
- Updated - core/comments-title top margin to zero (after removing certain CSS reboot)
- Updated - core/navigation-submenu and core/page-list to use new Dropdowns component styles
- Updated - core/navigation toggler padding to 0 and SVG color to full black
- Updated - offcanvas/modal views to load their Components styles (along with scripts)
- Updated - disable notifications for CF7 and WooCommerce if plugins already installed
- Updated - expose Dropdown/Modal/Offcanvas modules to wecodeart object (wecodeart.plugins = {...})
- Updated - utilities and components styles to use Asset trait to generate handle based on class (wecodeart-support-styles-utilities)
- Updated - move forms.js (wecodeart-support-markup-inputs) JavaScript to inline generated
- Updated - improve inputs styles with :where() and :is() selector to reduce ammount of CSS
- Updated - move input-group styles to its own component to reduce the loaded CSS for forms
- Updated - move transitions styles to its own component to reduce the default loaded CSS (dependency for Offcanvas, Modal, Toast components)
- Updated - forms validation styles now extends .wp-cf7-invalid-tip class (styled as a tooltip)
- Updated - add --wp--style--block-gap to g-# utility class
- Added - Dropdowns styles to wecodeart( 'styles' )->Components API
- Added - Navbar toggler styles to wecodeart( 'styles' )->Components API
- Added - wecodeart_input( 'group', ...args ) to render inputs into an input-group container (usses array of input args) 

v6.1.6
- Fixed - Issue with Admin theme options fatal error after removing WP SEO manage_notice method

v6.1.5
- Removed - Notifications about Rank Math and Yoast SEO integrations
- Updated - Standardize offcanvas/dropdown scripts from Navigation blocks to 'wecodeart-support-assets-{module-name}'
- Updated - Move jquery/jquery-migrate and wp-inert-polyfill to footer by default
- Updated - offcanvas scripts are now enqueued from view template
- Updated - core/navigation offcanvas styles to Components API
- Updated - core/separator: wave/waves/lines/curves/curves-corner/triangles SVGs to be more symetric
- Fixed - Admin themes manager Active/Activate labels wrong condition
- Fixed - core/media-text style output width when image is on the right
- Fixed - core/post-date show modified when selected
- Fixed - core/search bug with styles output selector when multiple block instances
- Added - core/search support for modal search (upcoming Button only block option instead of input expand)
- Added - wecodeart( 'styles' )->Components API for using in various blocks (and other places)
- Added - wecodeart( 'styles' )->Components API: modal, close button, offcanvas
- Added - modal.tpl.php view for rendering modals along with JS and CSS

v6.1.4
- Fixed - ScrollTop plugin installer slug

v6.1.3
- Removed - wca/abbreviation formatting lang attribute (irrelevant)
- Updated - theme/plugins translation context for some of the strings (eg: install is translated different for theme vs plugin is some languages)
- Updated - translation request notification wording
- Updated - WooCommerce pattern wording
- Added - themes/plugins modules admin script translations
- Added - Scroll Top extension installer

v6.1.2
- Removed - Captcha4WP admin notification when plugin enabled
- Updated - get_site_url() to home_url() for wecodeart.com link in header
- Updated - core/post-terms to use tags icon for product_tag term (WooCommerce)
- Updated - fa-fw class to post meta blocks svg icon
- Updated - accent color to theme.json instead of autodetect
- Updated - blockified all WooCommerce templates and updated patterns
- Updated - improved theme settings page (preselected tab with browser history)
- Updated - PayPal donate to popup (theme settings page)
- Updated - theme FileSystem clear_folder improved
- Updated - transients consistent naming
- Updated - all WooCommerce related code moved to external extension
- Updated - Group: Marquee refactored to use only 1 group container / added support for vertical sliding, reverse, pause, alternate
- Updated - core/social-links styles (class naming, selectors and css specificity updates)
- Updated - core/template-part to use WP_HTML_Tag_Processor
- Updated - core/cover to use WP_HTML_Tag_Processor and also removed redundand render
- Removed - heading/paragraphs spacing
- Fixed - core/latest-posts issue with woocommerce wrong filter usage (query_loop_block_query_vars)
- Fixed - patterns translations
- Fixed - PHP notices with inc/config/config.php
- Fixed - wide align on Media & Text pattern (left image alignment)
- Fixed - offcanvas container background inside core/navigation block
- Fixed - core/button styles output to correct classname from block supports
- Fixed - issue with Yoast's Support term view not passing data to correct template (when primary is selected)
- Added - new Admin\Settings class to manage theme settings (with get/set/all static methods)
- Added - new badge pattern (element)
- Added - script translations for admin/gutenberg JavaScript
- Added - support for RankMath / FAQ block as accordion (using details tag)
- Added - Admin\Upgrade class to handle future theme upgrades

v6.1.1
- Updated - RO local translations (page-soon.php pattern)
- Fixed - class-separator.php translation function wrong usage
- Fixed - class-template.php (post) fatal error on search page with no results

v6.1.0
- Fixed - remove Gutenberg plugin deactivation - not allowed

v6.0.8/9
- Removed - section.php pattern and section-markquee.php pattern
- Updated - header/footer.html patterns navigation attributes adjustments
- Updated - Navigation blocks scripts handle names to be inline with WP naming
- Updated - Elements pattern types prefixed with 'el-' and moved certain patterns to html files
- Fixed - Navigation offcanvas script when empty navigation is used
- Added - core/group marquee block variation

v6.0.7
- Fixed - Issue with dropdown styles not being added when core/page-list block is used (empty navigation)

v6.0.6
- Fixed - Issue with WP_Style_Engine styles being dequeued when Gutenberg plugin is active - temporary fix since Gutenberg is a beta plugin

v6.0.3
- Update - Deactivate Gutenberg on the theme switch (we do not support beta features)

v6.0.2
- Fixed - issues with PHP 7.4 version giving a fatal error on Gutenberg Separator block overwrite.

v6.0.1
- Fixed - issues with PHP 7.4 version giving a fatal error.

v6.0.0
- Updated - core/navigation to remove automatic `navbar-dark|light` class if present in block attributes
- Updated - core/navigation(-link/menu/submenu) upgraded to Boostrap 5.3 and adjusted to WordPress
- Updated - core/file markup and CSS updates
- Updated - core/list to use layout support (inline lists) with blockGap
- Updated - core/list-item to use color/border/spacing support
- Updated - core/quote to use color/border/spacing support
- Updated - core/site-logo markup and CSS updates / Ability for inline SVG upload
- Updated - core/latest-posts post_type attribute to postType
- Updated - core/post-read-more extend class to inherit button styles
- Updated - core/page-list implement page children rendering (6.2 update)
- Updated - core/table minor CSS updates + core/calendar to enqueue table CSS
- Updated - core/image to output placeholder if no image is added
- Updated - core/image to output svg inline if an svg image is uploaded
- Updated - core/media-text to output placeholder if no image is added
- Updated - core/post-template remove post m-0 class and add inline CSS
- Updated - Minimum PHP version requirement is now 7.4
- Updated - Frontend CSS move inline to global styles
- Updated - Improved wecodeart( 'assets' ) manager with easier API
- Updated - enabled useRootPaddingAwareAlignments and adjusted global CSS to fit
- Updated - base WooCommerce templates (transition to blocks instead of legacy template) to match WOO 7.3
- Updated - Gutenberg `customCSS` block attribute (from styles extension) to `customStyle`
- Updated - Utilities `gap` to `g` class for flex/grid gap (kept both for the moment)
- Updated - support removed for core block patterns
- Updated - Translated some pattern strings
- Updated - Pattern registry - add latest list of valid properties
- Updated - CSS reset simplified and optimized (moved into block styles / forms)
- Updated - Inputs styles moved inline and enqueue on demand
- Updated - Refactor blocks inline styles to use WP_Style_Engine
- Updated - entry-meta and author-box patterns to use post-author-name block instead of post-author
- Updated - Clear block formatting plugin now works on code and list item blocks
- Updated - better light/dark theme detection (Navigation and Navigation Link blocks)
- Updated - Admin/Request to decode response with json_decode()
- Removed - __experimentalLayout for core/template-part block (also removed from templates / template edits are required)
- Removed - core/post-comments-link from Post Meta pattern
- Removed - custom logo customizer support
- Removed - clear format - format type (was unnecessary) - kept "Clear block formatting" which removes all formats
- Removed - Styles processor (kept for reference) / switched to WP_Style_Engine API
- Fixed - core/button outline default color rgb variable added in CSS
- Fixed - core/social inline CSS generation (for single SVG icons) if 2 or more blocks are used on the template
- Fixed - core/gallery admin styles and Frontend gap
- Fixed - core/post-title block supports
- Added - core/button now autodetects hover color based on background (including outline style based on color)
- Added - core/post-author link class (wp-block-post-author__link)
- Added - core/post-terms link class (wp-block-post-terms__link)
- Added - core/separator new SVG masking styles
- Added - core/comments-pagination-numbers block rewrite
- Added - shadow support in theme.json (upcoming WP versions)
- Added - new dom() function to manipulate HTML markup for Gutenberg blocks
- Added - Improved SEO: Schema.org for header/footer/sidebar template parts
- Added - Yoast SEO`s FAQ block markup updated to "details" HTML element + improved styles
- Added - Coming Soon pattern (for pages)
- Added - Call to Action patterns
- Added - Cards patterns with 3 variations
- Added - viewportWidth property to patterns registered from HTML files in the theme
- Added - Gutenberg page title highlight when focused / background contrast vs rest of the page
- Added - flip-x and flip-y CSS utility classes
- Added - Footer with Background image template part
- Added - /wp-json/wecodeart/v1/notifications rest route instead of direct call to github (adjusted admin UX accordingly)
- Added - Dynamic accent color (used on default borders/backgrounds styles)

v5.7.1
- Updated - core/archives type attribute
- Updated - core/latest-posts featured image alignment
- Updated - core/search query params output and styles extension ouput
- Updated - Starter content for homepage
- Added - Fragment cache for WooCommerce Mini Cart block (which changed the fragments loading on mouseover instead of page load) for LiteSpeed
- Fixed - Captcha4WP comment hooks and class name change after was bought (ANR plugin)
- Fixed - core/comments-title text alignment class
- Added - Google Fonts API with Open Sans and Shadows Into Light as default fonts (temporary until Google Fonts Provider is added to WP)

v5.7.0
- Removed - align{left/center/right/none} styles (as they were added in core)
- Updated - core/social-links styles regarding .nav-bar margin
- Updated - core/latest-posts and core/latest-comments template filter now takes a string as 1st argument (without parse_blocks)
- Updated - single.html template comments markup: remove group and rename core/comments-query-loop to core/comments
- Updated - core/navigation disable view_script_handles (we use Bootstraps's offcanvas and Navigation js)
- Updated - core/latest-comments remove background from comment content (works better on dark style)
- Fixed - A bug with spacing margin/padding generation when all paddings are equal but not on all dirrections
- Fixed - core/post-template issue with double css-# classes in wrapper (from Styles Gutenberg Extension)
- Fixed - core/comment-template issue with double css-# classes in wrapper (from Styles Gutenberg Extension)
- Added - core/post-template $args as 3rd parameter to template filter and new filter for Query Template - wecodeart/filter/gutenberg/latest-posts/query
- Added - core/comment-template support for threaded comments

v5.6.9
- Removed - core/pullquote redundant is-style-solid CSS rules and extra attributes processor
- Updated - Offcanvas menu label support
- Updated - core/comment-template: remove custom title as it was added as a separate block in WP Core / comment-form top margin removed
- Updated - Single template to use core/comments-title block
- Updated - Single template markup: remove unnecessary group wrapper and use col- classes for width
- Updated - CSS for core/comment-template and core/comment-title blocks
- Updated - Romanian local translation
- Updated - Gutenberg Styles extension UI - moved Popover into label
- Updated - theme.json custom spacer to spacing (to follow WP naming standard) for custom number scaled spacing utilities
- Fixed - core/navigation justification and alignment
- Fixed - core/search styles and button markup after Gutenberg updates
- Fixed - core/separator inline CSS generation for custom color
- Fixed - core/cover styles updated to 6.1
- Fixed - page-sidebar columns vertical alignment
- Added - Pillar Content template/pattern with table of contents
- Added - Support for individual border (top/bottom/left/right) CSS generation

v5.6.8
- Removed - Deprecated pattern block filter
- Updated - Grid layout for post-template
- Updated - Query Overlay as a default post listing
- Updated - Gutenberg block styles (custom CSS) interface improvements - moved description to a Popover component
- Updated - Link hover color (darken) apply to a:where(:not(.wp-element-button)), in sync with WP Core
- Fixed - Dark footer partial to properly include footer-credits pattern
- Fixed - core/navigation offcanvas justification and alignment when having 'navbar-expand' class
- Fixed - core/navigation blockGap css generation after adding spacing utilities

v5.6.7
- Removed - layout CSS generation and let WP handle block layout support
- Updated - core/image styles output to img (as Gutenberg introduced border/border-radius controls)
- Updated - core/buttons and core/button increased CSS specificity for group and outline/link styles
- Updated - core/page-list default pages number
- Updated - skip link PHP js code to JavaScript file
- Updated - Footers columns vertical alignment after Layout support updates
- Updated - core/recent-posts and core/recent-comments entry meta layout
- Fixed - spacings: margin/padding after Gutenberg update with spacing.spacingSizes (theme.json)
- Fixed - Media/Text mobile figure order after markup update
- Fixed - Gallery flex layout
- Fixed - single.html template link color for post meta
- Fixed - issue with generated css class applied to blocks like pattern/html/etc
- Added - footer .flex-wrap to columns (due to WP layout nowrap CSS)
- Added - whatsapp icon styles
- Added - spacing utilities in theme.json

v5.6.6
- Updated - Theme description
- Added - query/overlay template part with new base design for post listing

v5.6.5
- Fixed - core/paragraph top margin in theme.json (it should be 0)

v5.6.4
- Removed - Old Customizer activation errors (if server does not match our requirements) and code.
- Updated - Navigation block custom styles to use main stylesheed as dependency
- Updated - Moved some styles from stylesheet to global styles / added blockGap (with reset on fist .wp-site-blocks children)
- Fixed - CSS: moved box sizing to global styles to fix an issue with loaders in FSE admin
- Added - WooCommerce to render fields using woocommerce_form_field() with wecodeart_input() function (excepting: state/country/select/radio)

v5.6.3
- Removed - Deprecated .site-header/footer classes
- Updated - Gutenberg block overwrites - small refactoring on their register method
- Updated - Social icons NOT to load styles for individual icons more than once (if multiple blocks are on the same page)
- Fixed - Bug with spacer height default value (in CSS processor)
- Fixed - Button double CSS rules for active style
- Fixed - Couple of wrong local translations in Romanian.
- Fixed - CSS for .text-wrap utility
- Added - Text transform utilities (uppercase/lowercase/capitalize)
- Added - Extend button styles to WooCommerce '.wc-block-components-button' class (when WOO is active)
- Added - Product search results template with legacy template block

v5.6.2
- Updated - JavaScript's SweetAlert2 and Photoswipe unpkg URLs (latest versions) / rebuild
- Updated - Added deps to custom block styles due to https://github.com/WordPress/gutenberg/pull/41934 (also updated enqueueing with negative priority)
- Updated - Cleanup some reboot.scss rules after https://github.com/WordPress/gutenberg/pull/41934 + updated theme.json headings margin
- Updated - .has-background-dim to use CSS variable instead of opacity (compatability with WooCommerce's different className approach)
- Updated - Minor adjustments to views/meta/author and views/meta/author-name templates
- Removed - WooCommerce's unnecessary div wrappers (the hooks - if FSE after all)
- Fixed - Issue with block custom className suggestion

v5.6.1
- Updated - core/latest-posts remove textColor from post-excerpt
- Updated - core/post-template removed no results message and use Gutenberg block in patters
- Updated - remove textColor from default patterns
- Updated - local translations
- Updated - wecodeart( 'layout' ) PHP to match exactly header/content-only/footer block template (to be used in old PHP templates)
- Updated - merge duotone filters from wp_body_open in a single SVG
- Removed - html patterns excepting 'section.html' for demo purpose 
- Fixed - core/navigation and core/navigation-submenu styles
- Fixed - Styles sort_breakpoints issue with 1st breakpoint (sm) being ordered as last

v5.6.0
- Updated - core/button default CSS update to remove outline (Outline registered using register_block_style)
- Fixed - register_block_style to init instead of wp_enqueue_scripts hooks 

v5.5.9
- Fixed - Corectly overwrite core styles using wp_enqueue_scripts hook
- Fixed - Issue with core/pages not enqueueing submenu styles when used in navigation block

v5.5.8
- Updated - Revert entry-meta pattern post-author-name to post-author (as it will not land in WP 6)
- Updated - core/latest-comments add isLink (false) attribute to render pattern
- Updated - Commnents template remove date format to use default / add isLink (false)
- Updated - Blocks to cache and load dynamic CSS via wp_enqueue_block_style
- Updated - column classes to utilities from base CSS (loaded on demand)
- Updated - offset classes to utilities from base CSS (loaded on demand)
- Updated - core/media-text CSS moved from flex to grid
- Updated - core/navigation (and child blocks) assets loading optimization and code splitting
- Updated - core/cover to use the featured image (inline CSS + placeholder support)
- Updated - core/post-featured-image style improvements (deprecated .ratio class in favor of modifier)
- Updated - core/comment-template intro to match upcoming core/comments-title block
- Updated - core/table inline CSS generation (border control)
- Updated - single.html and core/latest-comments to use core/avatar block
- Updated - removed unnecessary nav wrapper on pagination-numbers block (it has been added into WP core)
- Fixed - Utilitites to properly order CSS (based on breakpoints) when generating inline styles
- Fixed - core/embed styles
- Fixed - wecodeart/filter/gutenberg/styles/element - incorect filter ussage 
- Added - core/comments-title overwrite markup with custom SVG, response messages and call to action
- Removed - .ratio .row .row-cols-{x} classes (not necessary with Gutenberg columns and embed blocks)

v5.5.7
- Updated - core/columns grid lines to transparent black (in Editor)
- Updated - Homepage starter content adjust core/image markup to latest Gutenberg version
- Fixed - Starter content block validation errors

v5.5.6
- Fixed - core/image restore align classes display table CSS rule

v5.5.5
- Removed - ArrayAccess implementation where it was not necessary (prepare for PHP 8)
- Removed - .lead classes (unnecessary with fw-100/200/300 and guttenberg classes)
- Updated - Singleton Class __clone() and __wakeup() marked as public (PHP 8 warning fix)
- Updated - core/gallery to use grid layout / temporary fix fatal error caused by Gutenberg plugin (when setting blockGap)
- Updated - core/image aligncenter fix and style improvements
- Updated - core/cover inner container padding removed (use columns block for adding gutters)
- Updated - core/media-text CSS variable --wp--gutter-x to --wp--custom--gutter (set in theme.json)
- Updated - core/column add blockGap CSS output support
- Updated - Gutenberg Styles core_blocks() list to 5.9.2 (added new blocks)
- Updated - WooCommerce updated block names exclude from theme Gutenberg Extensions
- Updated - Implement Configuration where ArrayAccess was removed + code cleanup
- Updated - Romanian local translations
- Updated - Query Pagination Numbers border to currentColor if button styles are having transparent border
- Updated - Query Comments Template and Pagination cleanup unnecessary methods after WP5.9 updates
- Updated - Gutenberg Editor Styles (cleanup)
- Updated - Remove emoji CSS properly when enabling Clean Header
- Updated - Remove DNS prefech ( s.w.org ) when enabling Clean Header
- Updated - Templates for Post Meta blocks (author, terms, comments, date)
- Updated - entry-meta.html template to use new core/post-author-name instead of core/post-author block
- Updated - WeCodeArt\Gutenberg\Blocks storage loaded into init hook
- Updated - WeCodeArt\Gutenberg\Blocks storage static ::load method to normal instance function
- Fixed - ArrayAccess methods PHP 8 warnings (in class-config.php)
- Fixed - Issue with core/cover top-left content alignment
- Fixed - Issue with invalid starter content for About page
- Fixed - Issue with blockGap CSS generation due to being saved as array after Gutenberg plugin update (logical block margin based on writing mode)
- Fixed - Generate CSS for vertical blockGap (eg, Group block with multiple Columns)
- Fixed - core/spacer double output of units in generated CSS
- Fixed - core/spacer height issue with .vr class in navigation - on mobile
- Fixed - core/table styleing issues (allow to be cleared of inline style attr)
- Fixed - core/post-featured-image issue with image aspect ratio when having custom sizes and add source size support (previously pulling full image)
- Fixed - Editor Styles: add frontend / minor style fixes
- Added - WooCommerce HTML starter templates
- Added - New Header/Footer template parts: Header Dark, Header Logo Left, Header with Search, Header with Topbar Footer Dark (removed as patterns)
- Added - Author Box template
- Added - Default patterns as PHP files for Gutenberg 12.9.0 / Maintain HTML registration as well for backwards compat
- Added - Translation request notification
- Added - Template for post-author-name
- Added - wecodeart( 'blocks' ) binding for WeCodeArt\Gutenberg\Blocks;

v5.5.3/4
- Updated - Certain blocks logic to make use of custom palette colors along with default ones - previously was overwriting them
- Updated - Starter features.php to about.php + fixed a slug (for some reason it does not loads on WP.org)
- Updated - core/separator faded style width to 100% for backend overwrite
- Added - Home.html template

v5.5.2
- Updated - Header default pattern for WP.org directory

v5.5.1
- Updated - /views/ folder params inline documentation
- Updated - core/site-logo is-style-rounded CSS
- Updated - 404 page base design improvements + added big title and "Home" button
- Updated - Header columns adjustments and Navigation remove ID to allow usage of core/page-list fallback
- Updated - Page List fallback max pages changed to 3 and remove "ul" tag when used in Navigation
- Updated - Navigation blocks wp_kses to wp_kses_post + add className support to main container
- Updated - core/page-list to use Navigation link markup and styles (not sure why WP complicates things)
- Updated - Allow inline CSS for mark formatting on text blocks (headings, paragraph, lists etc)
- Updated - Gutenberg restricted blocks (skipped by our Styles extension) list
- Updated - core/comment-template to load Utilities CSS only if there are comments
- Updated - Starter content for Homepage and transformed About into Features
- Updated - core/latest-comments and core/latest-posts change render function earlier using metadata filter (rather than render)
- Fixed - ANR -> Captcha 4WP double captcha containers on comment form.
- Fixed - core/cover bug with solid color only background style
- Fixed - Gutenberg Advanced CSS bug in editor when replacing selector with block class
- Fixed - Gutenberg Advanced CSS bug when custom CSS was applied for sidebar block navigation
- Fixed - Markup Select input - bug with placeholder undefined $value variable
- Fixed - Gutenberg Columns gridlines with gutter support
- Added - core/archives custom markup using inputs and navigation as rendering content
- Added - core/code default styleing
- Added - core/tag-cloud default styleing
- Added - missing "sticky-top" class in gutenberg block Advanced class suggestions

v5.5.0
- Fixed - Grid gap default to 1 rem (--wp--custom--gutter variable)

v5.4.9
- Updated - Get WP core colors from 'default' instead of deprecated 'core' ( [ 'settings', 'color', 'palette', 'default' ] )
- Updated - Home starter content
- Updated - core/latest-posts and core/post-template grid classes
- Updated - core/table and core/calendar to load table CSS
- Updated - core/search width styles output
- Removed - Containers CSS - fully updated to Gutenberg (not needed anymore)
- Removed - Cover block inner container class
- Fixed - Editor preview for outline/link button styles (after transfering most of the properties to theme.json)
- Added - Color classes will also output rgb color value in global styles to allow more styleing flexibility
- Added - Custom Grid classes (experimental): .grid, .span-{number}, .start-{number}
- Added - Custom global styles gutter

v5.4.8
- Updated - Output custom duotones into wp_body_open (previously wp_footer) as per WP updates
- Updated - core/social-link to use global link color set in theme styles
- Updated - Yoast author social profiles rendering improvements / bail early if certain conditions are not met
- Updated - Footer Credits template pass "copy" and "year" variables (copyright symbol and current year)
- Updated - ANR Captcha plugin extension updates after was bought by WPWhiteSecurity
- Updated - core/button style improvements
- Updated - core/separator style improvements
- Updated - Added upcoming blocks to Gutenberg Styles extension / collect template classes into register_styles function
- Updated - Normalized buttons markup and styles for blocks like: File/Search/Login/Comments.
- Updated - Styles extension utilities hooks priority for require / moved into Utilities class
- Added - Styles extention to support mixed border radius (array) and unitless value
- Added - ::load() method for Gutenberg\Blocks registry - used to queque blocks for the current page (currently used for CSS).
- Fixed - core/search block styles and gradient classes to reflect the admin block settings
- Fixed - CSS padding variables inside table block

v5.4.7
- Updated - Input validation message trim() text before skipping empty
- Updated - Admin donate link form click on new tab
- Updated - Temporary remove "gutenberg_experimental_global_styles_render_svg_filters"
- Updated - Propery disabled default color palette and gradients
- Updated - Inputs markup for checkbox/radio groups wrapper from fieldset to span
- Updated - Post Content block pagination implementation to be the same as core
- Updated - Styles Extension to use Focal property parser for "object-position" css property (same as background-position)
- Removed - Yoast custom author box template / will be replaced by a block pattern with post-author blocks
- Fixed - Cover Block bug with custom gradient (Styles Extension)
- Fixed - Cover Block bug with object position (Styles Extension)
- Fixed - Issue with Codemirror when switching between Code Editor/Visual Editor views in Gutenberg
- Fixed - Issue with Core frontend JS routing inline callback hooking into "un-registered" script (used core handle by default)
- Added - Yoast shortcode for author social profiles: [yoast-socials]
- Added - Base dark style variation (requires Gutenberg plugin until it lands in WP 6.0)

v5.4.6
- Added - Admin Donate button on admin page
- Fixed - Admin Activation issue with wrong version_compare implementation

v5.4.5
- Updated - Inputs to add form classes to Gutenberg Class suggestion extension
- Updated - Admin style improvements / show Licenses tab for upcoming extensions
- Updated - Pass $attributes to Comments/Latest Posts Blocks (widgets) template filter
- Updated - Scripts to wecodeart( 'assets' ) refactored as extension
- Updated - Locale integration moved from Support to own extension
- Removed - 2nd post-author with box style from single.html template
- Removed - CF7 Plugin integration - it will be re-made as an extension

v5.4.4
- Updated - Header/Footer/Content PHP fallbacks
- Updated - Adjusted WooCommerce wrapper on legacy template
- Updated - Adjusted Single Post comment form margins
- Updated - JS logging only when developer mode is enabled
- Fixed - a notice on WooCommerce Leave a Review form regarding Privacy Policy field
- Fixed - Inputs label return vs echo bug (visible on comment form)

v5.4.3
- Updated - Post content remove get_the_content args
- Updated - Post comments message margin bottom to 0 when there are no comments
- Fixed - Double unique classes generated by Gutenberg Styles extension for blocks without wrapper (eg: pattern)
- Fixed - Gutenberg Style output for blockGap after WP 5.9 RC1

v5.4.2
- Fixed - Inputs get_content() method to return HTML instead of echoing it
- Fixed - Faded separator to max-width styleing
- Updated - CF7 Submit module wrapper to .wp-block-button and button default background + color to primary

v5.4.1
- Updated - Bump required WP version to 5.9-beta4
- Updated - Post Excerpt custom classname and text align support
- Fixed - CSS Splitting string issue with ending "}" when having media queries

v5.4.0
- Updated - Revert back the removal of GB Block support hooks

v5.3.9
- Updated - Headers Navigation pattern updated

v5.3.8
- Removed - Classic Menus support.
- Updated - Header/Footer containers for non-FSE pages + adjustments to filters names/logic
- Fixed - Gutenberg Editor admin columns widths overflowing with custom "col-" classes

v5.3.7
- Updated - Forms/Inputs validation JS as a chunk loaded in "common" route
- Fixed - Navigation fatal error after Gutenberg Plugin update
- Fixed - Logged in Privacy Policy commenting Validation

v5.3.6
- Fixed - Temporary fallback after updating Navigation: fallback first to Classic Menu - since we insert it with theme starter content

v5.3.5
- Updated - FSE Folder naming updated to match upcoming WP 5.9
- Updated - Navigation block PHP render to WP 5.9
- Updated - Latest Comments PHP render to WP 5.9 - it might be changed to query-comments-loop if it will be properly done (similar to Latest Posts render)
- Fixed - Temporary fixed Core/Pattern block to render shortcodes/emoji (submitted bug report to WP Gutenberg github)

v5.3.4
- Updated - Minimum required WP version to 5.9-beta2 failsafe to theme updates on WP 5.8.2+

v5.3.3
- Updated - Global cleanup / JSON cleanup / Clean old changelog before block-based update
- Updated - CSS utilities class suggestion added to Gutenberg Class extentsion from Styles\Utilities class
- Updated - Core/Navigation and Core/Navigation-Link cleanup and styles
- Updated - Header/Footer template parts will now use pattern block
- Updated - Comment blocks naming in Gutenberg Styles extension (remove previous "post" prefix)
- Updated - theme.json template parts naming
- Updated - gutenberg_ prefixed functions renamed to wp_ (in progress)
- Updated - Normalized some filters usage / block wrap context (to block classname)
- Updated - Forms.css to chunk, loaded only by blocks with inputs (comment form, search and login form)
- Removed - Navigation Area block used in header (will be deprecated until WP 5.9)
- Added - Header/Footer/Query patterns and show them into block types
- Added - Threaded Comments Template
- Added - Comments Pagination
- Added - Block Patterns index.json to extend glob registration with custom pattern attributes (description, name etc)

v5.3.2
- Removed - Gutenberg hide title plugin (and related PHP code) - not necessary in a FSE theme
- Fixed - Navigation offcanvas background inheritance
- Fixed - Height of Gutenberg Editor mode with Codemirror
- Fixed - Core/Image block attributes parsing for styles (output was reset when processing border radius)
- Added - Core/Template Part filter support to maintain experimental layout after upcomming Gutenberg plugin update (avoid additional group wrapper)

v5.3.1
- Updated - Site logo width on header template part
- Updated - CORE/Navigation - improved styleing for dropdowns
- Updated - CORE/Navigation - blockGap support
- Fixed - CORE/Navigation - temporary fix for the (hopefully temporary) issue with dropdown-item class for submenu
- Fixed - Content/Sidebar page template column class
- Fixed - Single template column class to match attribute
- Added - wecodeart( 'markup' ) API - moved all Markup class calls.
- Added - wecodeart( 'styles' ) API - moved all Styles class calls.

v5.3.0
- Updated - theme.json blockGap back to null (issues with 0 set on main block wrappers)
- Updated - Styles Extension: Move Gutenberg utilities to Styles extension
- Updated - Utilities now will generate own inline CSS / method to load any utility programatically
- Updated - Added couple more missing utilities
- Updated - JSON custom navbarBreakpoint to mobileBreakpoint rename (it is used on multiple places not just navbar)
- Updated - Markup::wrap error wording
- Updated - CF7 Support extension notification wording
- Updated - Prepare CORE/Navigation block for upcomming GB plugin update
- Updated - Local RO translations
- Fixed - Utilities responsive classes (generating wrong classnames for breakpoints)
- Fixed - Search post spacing issue - added post bottom margin
- Added - Opt out from the core colors and gradients

v5.2.9
- Updated - Placeholder from site url to "Placeholder" text
- Updated - Gutenberg styles extension to skip blocks with null blockName
- Updated - WP Social Links add blockGap CSS support
- Fixed - Latest Posts block double "list-unstyled" class

v5.2.8
- Updated - Pagination class updated to block-templates/template-parts to be picked up by Utilitiy feature
- Updated - Pagination to inherit button border radius
- Updated - Buttons selector to extend couple of other blocks buttons
- Updated - Minor updates to code structure (moved some code to its Gutenberg block)
- Updated - Sanitize link hover color output in global styles
- Updated - Gutenberg Styles extension: normalized hooks priorioty (20 for all hooks / 10 is for WP)
- Updated - Post featured image refactor/merge with Media class (from core) and style attributes will reflect on frontend
- Added - wecodeart/filter/gutenberg/featured/ratio filter (boolean) for using aspect ratio calc function or real size
- Added - wecodeart/filter/gutenberg/featured/placeholder filter (string) for changing placeholder text
- Added - Post featured image block on single template

v5.2.7
- Removed - Redirect to admin about screen after switch theme
- Updated - Code cleanup
- Updated - Navigation add core color pallete
- Fixed - Double post dates (with updated posts)

v5.2.6
- Updated - Gutenberg Styles extension will process all blocks / customCSSId block attribute is not required anymore
- Updated - Styles extension better method naming
- Removed - Styles extension unnecessary methods
- Removed - customCSSId attribute from starter content
- Added - Gutenberg Styles extension filter CSS element (class or ID) via 

v5.2.5
- Fixed - Fatal error caused by Navigation WP_Block_List namespacing

v5.2.4
- Fixed - Social links svg height
- Updated - block-templates/block-patterns
- Updated - Search block markup/styles
- Updated - Columns styles to block (conditionaly when used)
- Updated - Navigation styles/scripts to chunks loaded only when used.
- Updated - WP Block Latest Posts - normalized to use Query Template to inherit the loop styles (with CSS modifier)
- Updated - WP Block Latest Comments - normalized to use Comment Query Template to inherit the loop styles (with CSS modifier)
- Updated - WeCodeArt\Support\FileSystem is now pointing to /assets/ folder
- Added - /cache/ folder for caching certain assets like utilities.css editor style
- Added - Block gap support to Gutenberg Styles extension
- Added - New Utilities PHP styles extension (removed BootStrap`s utilities) / loaded when used
- Added - wecodeart/filter/latest-comments/template to filter the latest comments widget block template (takes an array of blocks)

v5.2.3
- Fixed - Starter content conflict with WordPress default pages.

v5.2.2
- Updated - Gutenberg remove from theme activation check - WP does that automatically until 5.9 for FSE themes
- Updated - Pattern to use spacing attributes instead of BootStrap's classes
- Updated - Reduce WooCommerce starter support to minimum / eventually all support extensions will be moved to own plugin
- Updated - Duotone support transparency
- Updated - BEM class naming for some post meta block views
- Updated - Updated starter content
- Updated - Updated page templates
- Updated - Block Table CSS from SASS to block class (enqueued when needed)
- Updated - Block Button CSS from SASS to block class (enqueued when needed)
- Updated - Block Buttons CSS from SASS to block class (enqueued when needed)
- Removed - Widgets - sidebar registration
- Removed - Comment Walker in favor of Gutenberg block
- Removed - comments.php
- Removed - page-full.html
- Removed - Removed unnecessary Boostrap CSS
- Added - Gutenberg Flex layout support
- Added - Gutenberg Comment Template/Form blocks
- Added - Site logo block wrapper (move custom logo filter to it and added styles)
- Added - Align wide support / refactored couple of blocks with this support

v5.2.1
- Updated - Gubenberg Editor columns grid highlight: add top/bottom border for better visuals and remove padding bottom
- Fix - A but with Gutenberg Styles extension not adding clientId when block is added

v5.2.0
- Fixed - Double textdomain

v5.1.9
- Updated - Gubenberg Style extension to remove styles for all core blocks
- Updated - Add missing menu items attributes
- Updated - Button styles with block-gap support and proper BEM ussage / added button blocks to inline style removal
- Fixed - inline style removal for columns/column/group to avoid removing for child elements (fixes issue where you need to have inline style)
- Fixed - CSS dropcap for paragraph
- Fixed - WPSEO template name for author box
- Fixed - Issue with navigation link not adding active class when on Blog page
- Fixed - Post Author block duotone and show avatar if set (or icon if not)
- Fixed - A bug with Gutenberg Block Styles extension causing FSE screen to crash when viewving templates

v5.1.8
- Removed - Gutenberg 'block-templates' support declaration - is added by default for block based themes
- Removed - Base input styles - we use Bootstrap so let's stick to that
- Updated - Comment Walker and template - prepare block-views structure for upcomming comments query
- Updated - Post meta block-views structure changed
- Updated - Latest Posts/Comments widgets markup (Gubenberg blocks)
- Updated - RO translations
- Updated - Gutenberg pattern categories registering via JSON file under /block-patterns/categories.json
- Updated - Default skip links hooks replaced (to fix invalid markup)
- Fixed - Header pattern navigation attribute for overlay/offcanvas
- Fixed - TextArea input markup - remove type[textarea] and aria-required (HTML Validation)
- Added - Login/out Gutenberg block custom markup

v5.1.7
- Removed - FSE class used to hide/show Customizer/Site editor links in admin
- Updated - Enable FSE Admin link by default with developer mode control (to easily disable, eg: production)
- Updated - Add rel home to home-link block
- Updated - Starter content page templates to default page / add back filter for starter content meta
- Updated - New navigation offcanvas option (off/mobile/allways)
- Fixed - File block wrapped into Dynamic's CLASS save_html method (for valid markup)
- Fixed - Query Pagination numbers WP_Query namespacing fatal error and template part HTML
- Fixed - Media / Text image fill generated styles
- Fixed - Admin welcome screen vars
- Added - Letter Spacing style generation from block attributes
- Added - Filter pagination arguments with 'wecodeart/filter/query/pagination/args'

v5.1.6
- Updated - Theme starter content (due to cover updates in Gutenberg plugin)
- Fixed - Added back theme support for custom-logo (to be managed in WP Customizer as well + starter content logo fails to be set )
- Fixed - Social links in header.html (block template part)
- Removed - Theme page meta set in starter content
- Removed - Google Fonts license mention in style.css (was removed in FSE theme update 5.0)

v5.1.5
- Updated - Spacer GB block styles + CSS var to reduce height on bellow "lg" breakpoint
- Updated - Theme description and missing feature tags + RO translation files
- Updated - Clear more redundant CSS (comment reply, textarea) in favor of BS Classes
- Updated - Blocks inline CSS variables naming (old to new --wp-- prefix)
- Updated - Duotones filter ids prefixed with "wp-duotone" (to fix a HTML Validation warning)
- Updated - Cover styles updated to be compatible with Gutenberg 11.8
- Removed - Unnecessary theme supports for FSE themes
- Added - should_load_separate_core_block_assets disable in upcomming Gutenberg support for WP 5.9, we use or own approach

v5.1.4
- Updated - Properly add Gutenberg Editor styles
- Updated - Post featured image styles moved to PHP (micro optimization) from global CSS
- Updated - Social links styles moved to PHP (micro optimization) from global CSS
- Updated - Generate inline CSS only for used social services + style (micro optimization) / shaved 13kb minified CSS
- Updated - Navigation global styles improvements
- Updated - Navigation now generates customizable styles for container and dropdowns based on attributes
- Updated - Navigation menu (submenu) now uses 'navigation-link' render function (they are the same in WP as well but duplicated)
- Updated - Bootstrap variable names to --wp--{name} to follow their standard (they dont overlap WP Core ones)
- Updated - General styles cleanup
- Removed - Custom Highlight post format - WP will have it's own with color/background option
- Added - New filter for navigation responsive breakpoint: 'wecodeart/filter/navigation/responsive'

v5.1.3
- Fixed - Navigation upcomming changes regarding open on hover/clicked
- Updated - Navigation responsive offcanvas normalized / container changes
- Removed - Search form and filter for get_search_form (is FSE after all)
- Removed - Some unnecessary conditionals for styles and patterns Gutenberg extensions

v5.1.2
- Fixed - Header classnames extra space 
- Fixed - Duotone output RGB SVG filter (was RRR)
- Fixed - Buttons border radius updated style output from normalized attributes
- Fixed - Fixed typography inline styles for font size, style and weight
- Added - Navigation Submenu for rendering Gutenberg submenu block with Boostrap markup
- Added - Ability to use FA/Glyphicons into navigation menus
- Updated - Masive improvements to Navigation menu functionality and code
- Updated - Gutenberg Blocks Styles into wp_enqueue_scripts hook instead of footer
- Updated - credits.tpl.php moved to "general" views folder

v5.1.1
- Added - Function to programatically update About page on WP.org

v5.1.0
- Added - Function to programatically update Homepage on WP.org

v5.0.8
- Fixed - Blocks custom gradient style output
- Added - Blocks sample gradients in theme.json
- Added - Content Only post/page template (for landing pages)
- Updated - blockGap to null to avoid outputing this

v5.0.7
- Cleanup - Some old Gutenberg unused CSS
- Cleanup - Starter content: remove customizer defaults for wp_parse_args (since it was removed)
- Fixed - Post title visual representation when is hidden on single template (Gubenberg Plugin)
- Fixed - Post title bottom margin (when blockGap is set to 0 - as we use it)
- Updated - Gallery Block: CSS support for upcomming image innerBlocks
- Updated - Header clean_head function to pass theme check
- Added - Theme starter content notification for "fresh sites"
- Removed - Credits for Google Fonts (was removed)

v5.0.6
- Cleanup - Customizer assets / Admin JS
- Updated - Better CSS/JS naming and folder structure
- Fixed - Textarea CSS
- Fixed - Activation Requirements

v5.0.0
- Complete rework to block based theme!!!

v1.0.0
- Initial release